<?php
/**
 * Configuration entries for this application only
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0
 * @copyright	Copyright (c) 2013 LFDB2 Developer Team
 * @license		GNU GPL 3.0 or any newer version
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// Some hub-specific configuration like port hostname where we will listen, etc.
$cfg = FrameworkConfiguration::getSelfInstance();

// CFG: INTERNAL-ADDRESS
$cfg->setConfigEntry('internal_address', '');

// CFG: EXTERNAL-IP
$cfg->setConfigEntry('external_ip', '');

// CFG: DEFAULT-CONSOLE-COMMAND
$cfg->setConfigEntry('default_console_command', 'server');

// CFG: DEFAULT-LFDB2-CONSOLE-COMMAND
$cfg->setConfigEntry('default_lfdb2_console_command', 'server');

// CFG: DEFAULT-LFDB2-CONSOLE-CONTROLLER
$cfg->setConfigEntry('default_lfdb2_console_controller', 'server');

// CFG: LFDB2-CONSOLE-CMD-SERVER-RESOLVER-CLASS
$cfg->setConfigEntry('lfdb2_console_cmd_server_resolver_class', 'Lfdb2ConsoleCommandResolver');

// CFG: NEWS-DOWNLOAD-FILTER
$cfg->setConfigEntry('news_download_filter', 'NewsDownloadFilter');

// CFG: NEWS-PROCESS-FILTER
$cfg->setConfigEntry('news_process_filter', 'NewsProcessFilter');

// CFG: NEWS-READER-SERVER-CLASS
$cfg->setConfigEntry('news_reader_server_class', 'ConsoleNewsReader');

// CFG: NEWS-SERVER-LIMIT
$cfg->setConfigEntry('news_server_limit', 5);

// CFG: SERVER-PHP-REQUIREMENTS-FILTER
$cfg->setConfigEntry('node_php_requirements_filter', 'NodePhpRequirementsFilter');

// CFG: SERVER-INITIALIZER-FILTER
$cfg->setConfigEntry('server_initializer_filter', 'ServerInitializationFilter');

// CFG: SERVER-ACTIVATION-TASK-HANDLER-INITIALIZER-FILTER
$cfg->setConfigEntry('server_activation_task_handler_initializer_filter', 'ServerTaskHandlerInitializerFilter');

// CFG: SERVER-PHP-REQUIREMENTS-FILTER
$cfg->setConfigEntry('server_php_requirements_filter', 'ServerPhpRequirementsFilter');

// CFG: SERVER-WELCOME-TEASER-FILTER
$cfg->setConfigEntry('server_welcome_teaser_filter', 'ServerWelcomeTeaserFilter');

// ----------------------------------------------------------------------------
//                            Bootstrapping filters
// ----------------------------------------------------------------------------

// CFG: SERVER-BOOTSTRAP-EXTRA-BOOTSTRAPPING-FILTER
$cfg->setConfigEntry('server_bootstrap_extra_bootstrapping_filter', 'ServerBootstrapExtraBootstrappingFilter');

// CFG: SERVER-BOOTSTRAP-LISTENER-POOL-FILTER
$cfg->setConfigEntry('server_bootstrap_listener_pool_filter', 'ServerBootstrapListenerPoolFilter');

// ----------------------------------------------------------------------------
//                              Shutdown filters
// ----------------------------------------------------------------------------

// CFG: SERVER-SHUTDOWN-TASK-HANDLER-FILTER
$cfg->setConfigEntry('server_shutdown_task_handler_filter', 'ServerShutdownTaskHandlerFilter');

// CFG: SERVER-SHUTDOWN-SERVER-FILTER
$cfg->setConfigEntry('server_shutdown_server_filter', 'ServerShutdownServerFilter');

// [EOF]
?>
